#!/bin/zsh
# Initial file for zsh
# sudo/please
alias please='sudo'

# Aliases
alias vim='nvim'
alias c='clear'

#colored everything
alias ip="ip -c"
#ripgrep
if command -v rg >/dev/null 2>&1; then
	alias grep="rg --color=always"
else
	alias grep="grep --color=always"
fi

#weather
alias www='curl wttr.in/Ulm'

# ls alias
if command -v lsd >/dev/null 2>&1; then
	alias ls='lsd --icon always'
	alias ll='lsd --icon always -lA'
	alias l='lsd --icon always -l'
	LS="lsd"
elif command -v exa >/dev/null 2>&1; then
	alias ls='exa --icons=always'
	alias ll='exa --icons=always -lA'
	alias l='exa --icons=always -l'
	LS="exa"
elif command -v eza >/dev/null 2>&1; then
	alias ls='eza --icons=always'
	alias ll='eza --icons=always -lA'
	alias l='eza --icons=always -l'
	LS="eza"
else
	alias ls='ls --color=always -lph'
	alias ll='ls --color=always -lAph'
	alias l='ls --color=always -l'
fi

# pfetch alias
if command -v fastfetch >/dev/null 2>&1; then
	alias ff='fastfetch'
	alias fetch='fastfetch'
	alias f='fastfetch --config examples/8'
	alias clear='command clear && f'
	alias clearl='command clear && f && l && pwd'
elif command -v pfetch >/dev/null 2>&1; then
	alias p='pfetch'
	alias clear='command clear && pfetch'
	alias clearl='command clear && p && l && pwd'
else
	function iff {
	echo "$ZSH_UPDATE fastfetch" | zsh
	}
	iff
fi

# git alias
if command -v git >/dev/null 2>&1; then
    alias g='git'
    alias gc='git clone'
    alias gs='git status'
    alias ga='git add'
    alias gcm='git commit'
    alias gp='git pull'
fi

# docker alias
if command -v docker >/dev/null 2>&1; then
    alias up='docker compose up'
    alias down='docker compose down'
    alias pull='docker compose pull'
    alias d='docker'
    alias dr='docker run --rm -it'
    alias ds='docker ps -a'
    alias dc='docker compose'
    alias db='docker build'
    alias appupdate='docker pull && docker compose up -d --force-recreate'
fi

# z stands for zoxide
if command -v zoxide >/dev/null 2>&1; then
	alias z='cd'
	eval "$(zoxide init --cmd cd zsh)"
	if command -v fzf >/dev/null 2>&1; then
#		Shell integrations
		eval "$(fzf --zsh)"
	else
	function ifzf {
	echo "$ZSH_UPDATE fastfetch" | zsh
	exec zsh
}
	ifzf
	fi
fi

# rsync alias
if command -v rsync >/dev/null 2>&1; then
	alias cp='rsync -avP'
	alias scp='rsync -avP'
fi

# tmux alias
if command -v tmux >/dev/null 2>&1; then
    alias ts="tmux source $HOME/.tmux.conf"
    alias ta="tmux a"
    alias t="tmux"
fi
